/*
 * jSite2 - Hex.java
 * Copyright © 2008 David Roden
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package net.pterodactylus.util.number;

/**
 * Conversion routines for handling hexadecimal numbers.
 * 
 * @author David ‘Bombe’ Roden &lt;bombe@freenetproject.org&gt;
 */
public class Hex {

	/**
	 * Converts the given byte array to a hexadecimal string.
	 * 
	 * @param dataBytes
	 *            The bytes to convert
	 * @return A string of hexadecimal numbers
	 */
	public static String toHex(byte[] dataBytes) {
		StringBuilder hexString = new StringBuilder(dataBytes.length * 2);
		for (byte dataByte: dataBytes) {
			String hexByte = "0" + Integer.toHexString(dataByte & 0xff);
			hexString.append(hexByte.substring(hexByte.length() - 2));
		}
		return hexString.toString();
	}

}
